gov.ornl.mercury3.services

## Class SolrSearcher

- java.lang.Object
- - gov.ornl.mercury3.services.SolrSearcher

-     public class SolrSearcher
      extends Object

  Primary class for building final SOLR queries and handling the SOLR response.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `SimpleDateFormat` | `Brief_Format`
    `Map<String,String>` | `datasourceMapNames`
    `DataSourceMapNamesBean` | `dsmnb`
    `HashMap<String,String>` | `filterslist`
    `FilterslistMapBean` | `flmb`
    `SimpleMapBean` | `mlt_bean`
    `HashMap<String,String>` | `mlt_terms`
    `SimpleDateFormat` | `PRT_Format`
    `SimpleDateFormat` | `Solr_ISO8601FORMAT`
    `SimpleDateFormat` | `Solr_RFC822DATEFORMAT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SolrSearcher(String _url)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `convertToBrief(String date)`
    `String` | `convertToPRT(String date)`
    `protected Response` | `createResponse(String _xml, List<String> _fields)`
    `List<D1DocTransferObject>` | `findRelatedDocByResourceMap(String pid, org.dataone.service.types.v1.Session d1Session)`
    `CoinsBean` | `getCoinsData(String pid, org.dataone.service.types.v1.Session d1Session)`
    `D1DocTransferObject` | `getD1DocInfo(String pid, org.dataone.service.types.v1.Session d1Session)`
    `String` | `getTransform(File xslFilename, InputStream is)`
    `Response` | `search(String _query, int _start, int _rows, List<String> _fields, String _type, String _schema, String _dismaxSort, String _facet, String _facetLimit, List<String> _facetField, boolean isRSS, String feedValue, boolean isMLT, String spell, List<String> queryFilters, org.dataone.service.types.v1.Session d1Session)`
    `Response` | `search(String _query, int _start, int _rows, List<String> _fields, String _type, String _schema, String _dismaxSort, String _facet, String _facetLimit, List<String> _facetField, List<String> queryFilters, org.dataone.service.types.v1.Session d1Session)`
    `Response` | `search(String _query, int _start, int _rows, List<String> _fields, String _type, String _schema, String _dismaxSort, String _facet, String _facetLimit, List<String> _facetField, String imitlessFacet, String limtlessFieldValue, boolean isRSS, String feedValue, boolean isMLT, String spell, List<String> queryFilters, org.dataone.service.types.v1.Session d1Session)`
    `String` | `solrPass(Map parameters, org.dataone.service.types.v1.Session d1Session)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### mlt_bean

          public SimpleMapBean mlt_bean

    - #### dsmnb

          public DataSourceMapNamesBean dsmnb

    - #### flmb

          public FilterslistMapBean flmb

    - #### datasourceMapNames

          public Map<String,String> datasourceMapNames

    - #### filterslist

          public HashMap<String,String> filterslist

    - #### mlt_terms

          public HashMap<String,String> mlt_terms

    - #### Solr_ISO8601FORMAT

          public SimpleDateFormat Solr_ISO8601FORMAT

    - #### Brief_Format

          public SimpleDateFormat Brief_Format

    - #### Solr_RFC822DATEFORMAT

          public SimpleDateFormat Solr_RFC822DATEFORMAT

    - #### PRT_Format

          public SimpleDateFormat PRT_Format

  - ### Constructor Detail

    - #### SolrSearcher

          public SolrSearcher(String _url)
                       throws MalformedURLException

      Throws:
        `MalformedURLException`

  - ### Method Detail

    - #### convertToBrief

          public String convertToBrief(String date)

    - #### convertToPRT

          public String convertToPRT(String date)

    - #### search

          public Response search(String _query,
                        int _start,
                        int _rows,
                        List<String> _fields,
                        String _type,
                        String _schema,
                        String _dismaxSort,
                        String _facet,
                        String _facetLimit,
                        List<String> _facetField,
                        String imitlessFacet,
                        String limtlessFieldValue,
                        boolean isRSS,
                        String feedValue,
                        boolean isMLT,
                        String spell,
                        List<String> queryFilters,
                        org.dataone.service.types.v1.Session d1Session)

    - #### search

          public Response search(String _query,
                        int _start,
                        int _rows,
                        List<String> _fields,
                        String _type,
                        String _schema,
                        String _dismaxSort,
                        String _facet,
                        String _facetLimit,
                        List<String> _facetField,
                        List<String> queryFilters,
                        org.dataone.service.types.v1.Session d1Session)

    - #### findRelatedDocByResourceMap

          public List<D1DocTransferObject> findRelatedDocByResourceMap(String pid,
                                                              org.dataone.service.types.v1.Session d1Session)

    - #### getD1DocInfo

          public D1DocTransferObject getD1DocInfo(String pid,
                                         org.dataone.service.types.v1.Session d1Session)

    - #### getCoinsData

          public CoinsBean getCoinsData(String pid,
                               org.dataone.service.types.v1.Session d1Session)

    - #### solrPass

          public String solrPass(Map parameters,
                        org.dataone.service.types.v1.Session d1Session)

    - #### search

          public Response search(String _query,
                        int _start,
                        int _rows,
                        List<String> _fields,
                        String _type,
                        String _schema,
                        String _dismaxSort,
                        String _facet,
                        String _facetLimit,
                        List<String> _facetField,
                        boolean isRSS,
                        String feedValue,
                        boolean isMLT,
                        String spell,
                        List<String> queryFilters,
                        org.dataone.service.types.v1.Session d1Session)

    - #### getTransform

          public String getTransform(File xslFilename,
                            InputStream is)

    - #### createResponse

          protected Response createResponse(String _xml,
                                List<String> _fields)
                                     throws SAXException,
                                            IOException,
                                            ParserConfigurationException,
                                            org.jdom.JDOMException

      Parameters:
        `_xml` -
        `_fields` -
      Returns:
      Throws:
        `SAXException`
        `IOException`
        `ParserConfigurationException`
        `org.jdom.JDOMException`

Copyright © 2016. All rights reserved.